#content.content
  padding: 0

/* FIX AGAINST GENERAL CONTENT PADDING

#lsfilter_save_filter_name
  margin-bottom: 0

/* FIX AGAINST REPORT CSS

.filter-query-dropdown
  display: none
  box-shadow: 0 2px 2px 3px #ddd
  box-shadow: 0 2px 2px 3px rgba(0, 0, 0, 0.1)
  background: #f5f5f5
  border: 1px solid #999
  position: absolute
  /* topbar + extra toolbar height */
  right: 6px
  /* Attach to right corner */
  z-index: 1
  max-height: 500px
  overflow: auto
  display: none
  padding: 8px

#filter-query-builder
  width: 75%

#lsfilter_save_filter.saving
  background: url('loading_small.gif') no-repeat
  background-position: left center
  padding-left: 22px !important

#multi-action-list
  line-height: 1.7
  padding: 0.5em

#multi-action-message
  color: #e40

.lsfilter-noresult
  display: inline-block
  margin: 16px 16px

.lsfilter-loader
  background: url('loading_small.gif') no-repeat
  display: inline-block
  zoom: 1
  *display: inline
  vertical-align: middle
  margin-right: 32px
  padding-left: 22px
  margin-bottom: 4px
  height: 15px
  *display: inline
  span
    vertical-align: middle

.lsfilter-edit-bar
  margin-right: 20px !important
  button
    background: transparent
    margin: 0
    border-width: 0 1px 0 1px
    &.active
      background: rgba(0, 0, 0, 0.1)
    &:hover
      cursor: pointer
      background: #fff
      background: rgba(255, 255, 255, 0.4)

#filter_result tbody tr:hover
  background: #fdfdfd
  color: #222
  > td
    border-color: #999
    color: #222
    a
      color: #222

.main-toolbar
  ul
    li
      display: inline-block
      vertical-align: middle
      border-right: 1px solid #ccc
      padding: 1px 6px 0px 6px
      &:first-child
        border-right: none
      .icon-16
        vertical-align: middle
    a
      color: #444
      border-bottom: none
    a:hover
      border: none
      color: #000

.listview-col-hover
  background: #fdfdfd
  border-color: #999
  color: #222

th span.header-icon
  display: block
  margin: 0 auto

.listview-empty-cell
  border: none !important
  background: transparent !important

#filter_result thead th
  border-top: none
  border-bottom: 1px solid #aaa
  padding-bottom: 0
  padding-right: 0
  white-space: nowrap

.lsfilter-sort-span
  float: right
  display: inline-block
  width: 7px
  height: 14px
  text-align: center
  padding-right: 0
  margin-right: 4px
  background-repeat: no-repeat
  background-position: center

th
  &.sortable
    &:hover
      background: #C6E4EE
      cursor: pointer
    &.current
      background: lightblue
  .listview_multiselect_checkbox_all
    margin: 0
    padding: 0
    vertical-align: top

#filter_result
  margin: -2px -2px 0 -2px

#filter_result
  table
    th
      padding: 4px 2px 1px 2px
      &:first-child
        padding-left: 0.2%
      &:last-child
        padding-right: 0.3%
    td
      &:first-child
        padding-left: 0.3%
      &:last-child
        padding-right: 0.3%
      a, img, span
        vertical-align: middle

.floating-header
  left: 0px
  top: 77px
  position: fixed
  z-index: 0
  tr
    width: 100%
    display: block
    th
      padding-bottom: 1px !important
      &:first-child
        padding-left: 0.2%
      &:last-child
        padding-right: 0.3%

.listview-summary li span
  vertical-align: middle

.table_pagination td
  font-size: 12pt
  padding: 0.1em
  text-align: center

.selected_odd td
  background-color: #EEE4E4 !important

.selected_even td
  background-color: #FFEEEE !important

/*
 * Service count in host detail listing

td.cell_svccnt a
  border-bottom: 0

tr
  box-sizing: border-box
  td
    box-sizing: border-box
  &.even td.cell_svccnt_ok
    background-color: #CCFFCC !important
  &.odd td.cell_svccnt_ok
    background-color: #BBEEBB !important
  &.even td.cell_svccnt_warning
    background-color: #FFFFCC !important
  &.odd td.cell_svccnt_warning
    background-color: #EEEEBB !important
  &.even td.cell_svccnt_critical
    background-color: #FFDDCC !important
  &.odd td.cell_svccnt_critical
    background-color: #FFCCC3 !important
  &.even td.cell_svccnt_unknown
    background-color: #FFEEDD !important
  &.odd td.cell_svccnt_unknown
    background-color: #FFE7D4 !important
  &.even td.cell_svccnt_pending
    background-color: #DDDDDD !important
  &.odd td.cell_svccnt_pending
    background-color: #CCCCCC !important

/*
 * Visual filter editor

.lsfilter_visual_group, .lsfilter_visual_match
  padding: 2px
  margin: 1em 1em 1em 2em

.lsfilter_visual_node_0
  background-color: #f5f5f5

.lsfilter_visual_node_1
  background-color: #f0f0f0
  border: 1px solid #cccccc

.lsfilter_visual_node_2
  background-color: #ebebeb
  border: 1px solid #cccccc

.lsfilter_visual_node_3
  background-color: #e6e6e6
  border: 1px solid #cccccc

.lsfilter_visual_node_4
  background-color: #e1e1e1
  border: 1px solid #cccccc

.lsfilter_visual_node_5
  background-color: #dcdcdc
  border: 1px solid #cccccc

.lsfilter_visual_node_6
  background-color: #d7d7d7
  border: 1px solid #cccccc

.lsfilter_visual_node_7
  background-color: #d2d2d2
  border: 1px solid #cccccc

.lsfilter_visual_not
  border-left: 0.5em solid #cc0000
  padding-left: 0.5em

.lsfilter_visual_group_header
  display: block
  font-weight: bold
  vertical-algin: middle

.lsfilter_visual_node_remove
  display: inline-block
  float: right
  border: 0
  &:hover
    border: 0

.lsfilter_visual_node_addrule, .lsfilter_visual_node_addgroup, .lsfilter_visual_node_negate
  display: inline-block
  margin: 0 0.5em 0 0

.lsfilter_visual_field_select, .lsfilter_visual_operator_select, .lsfilter_visual_value_field
  width: 30%

li.filter-query-button a img
  vertical-align: middle

li.filter-query-button a span
  vertical-align: middle
  margin: 4px 2px

li.filter-query-button a .filter-button-label
  margin-left: 4px